# Contributing Guide
Hello and thank you for interest in helping make this library better. Please take a few moments to review the following guidelines.

## Reporting Issues
* The issue list of this repo is <strong>exclusively</strong> for bug reports and feature requests. Non-conforming issues will be closed immediately.
* Try to search for your issue, it may have been answered.
* See if the error is reproduceable with the latest version.
* If reproduceable, please provide a simple codepen or repository that can be cloned to produce the expected behavior.

## Pull Requests
* Always work on a new branch. Making changes on your fork's `dev` or `master` branch can cause problems.
* Bug fixes and non-breaking changes should be submitted to the `master` branch.
* New features and breaking changes should be submitted to the `master` branch.
* For changes and feature requests, please include an example of what you are trying to solve and an example of the markup. It is preferred that you create an issue first however, as that will allow the team to review your proposal before you start. 
* Please reference the issue # that the PR resolves, something like `Fixes #1234` or `Resolves #6458`.
